Bug 51369 - printconf-tui TypeError: unexpected keyword argument unselectable
Summary: printconf-tui TypeError: unexpected keyword argument unselectable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf   
(Show other bugs)
Version: 7.1k
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-09 20:12 UTC by efm-redhat
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-09 20:12:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description efm-redhat 2001-08-09 20:12:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
Creating new printer (lp0, 10.1.5.1, PASS)
Traceback (innermost last):
  File "/usr/sbin/printconf-tui", line 7, in ?
    import printconf_tui
  File "/usr/share/printconf/util/printconf_tui.py", line 2057, in ?
    if main.cmd_handlers.has_key(cmd):
  File "/usr/share/printconf/util/printconf_tui.py", line 1953, in
tui_main_run
    qlf_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1842, in qlf_run
    if nqd_run():
  File "/usr/share/printconf/util/printconf_tui.py", line 154, in nqd_run
    nqd_driver_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 713, in
nqd_driver_run
    driver_tree = driver_tree_checkboxtree(tree_height, tree_width)
  File "/usr/share/printconf/util/printconf_tui.py", line 758, in
driver_tree_checkboxtree
    driver_tree = CheckboxTree(height = height, width = width, scroll = 1,
hide_checkbox = 1, unselectable = 1)
TypeError: unexpected keyword argument: unselectable


How reproducible:
Always

Steps to Reproduce:
1.New
2.Unix remote (lp)
3. 10.1.5.1, PASS
4. Traceback
	

Actual Results:  /var/spool/lp/lp0 is not created

Additional info:

Comment 1 Crutcher Dunnavant 2001-11-26 17:13:30 UTC
fixed


Note You need to log in before you can comment on or make changes to this bug.